<template>
  <div class="w-screen">
    <layout-user-header></layout-user-header>
    <div class="h-27px"></div>

    <div class="w-1200px flex m-auto">
      <layout-user-menu :currentPath="currentPath"></layout-user-menu>
      <div class="w-15px"></div>
      <div class="w-940px bg-white shadow-md">
        <RouterView></RouterView>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  
  data() {
    return {
      currentPath: this.$route.path,
    };
  },
  beforeRouteEnter(to, from, next) {
    next((vm) => {
      vm.currentPath = to.path;
    });
  },
};
</script>
